import { ResponseError } from '@spiffy-ai/commerce-api-client/dist/runtime';

export class StatusCodeError extends ResponseError {
  public readonly statusCode: number;

  constructor(message: string, statusCode: number, response: Response) {
    super(response, message);
    this.statusCode = statusCode;
  }
}
